import java.io.Serializable;


// ----------------------------------------------------------------------------
/**
 * A test class used for performance tests in {@link SerialVersionUIDTest}.
 * You can try the "optimized" version of this class by uncommenting the 
 * serialVersionUID field declaration and recompiling.
 * * 
 * @author (C) <a href="http://www.javaworld.com/columns/jw-qna-index.shtml">Vlad Roubtsov</a>, 2003
 */
public class TestBaseClass
             implements Serializable
{
    // public: ................................................................
    
    // fields and methods contributing to SUID:

    public TestBaseClass ()
    {
        m_byte = (byte) 1;
        m_short = (short) 2;
        m_long = 3L;
        m_float = 4.0F;
        m_double = 5.0;
        m_char = '6';
        m_boolean = true;

        m_int = 8;
        m_string = "some string";
        
        m_ints = new int [m_int];
        for (int i = 0; i < m_ints.length; ++ i) m_ints [i] = m_int;
        
        m_strings = new String [m_int];
        for (int i = 0; i < m_strings.length; ++ i)
            m_strings [i] = "string value #" + i;
    }

    public byte getByte ()
    {
        return m_byte;
    }
    
    public short getShort ()
    {
        return m_short;
    }
    
    public int getInt ()
    {
        return m_int;
    }
    
    public long getLong ()
    {
        return m_long;
    }
    
    public float getFloat ()
    {
        return m_float;
    }
    
    public double getDouble ()
    {
        return m_byte;
    }
    
    public char getChar ()
    {
        return m_char;
    }
    
    public boolean getBoolean ()
    {
        return m_boolean;
    }
    
    public String getString ()
    {
        return m_string;
    }
    
    public int [] getInts ()
    {
        return m_ints;
    }
    
    public String [] getStrings ()
    {
        return m_strings;
    }
            

    // uncomment this here and in TestClass to re-run
    // SerialVersionUIDTest with the "optimization" enabled:
    
    //private static final long serialVersionUID = 1;

    private final byte m_byte;
    private final short m_short;
    private final long m_long;
    private final float m_float;
    private final double m_double;
    private final char m_char;
    private final boolean m_boolean;

    private final int m_int;
    private final int [] m_ints;
    private final String m_string;
    private final String [] m_strings;
    
} // end of class
// ----------------------------------------------------------------------------
