
import java.io.Serializable;

// ----------------------------------------------------------------------------
/**
 * A test class used for performance tests in {@link SerialVersionUIDTest}.
 * You can try the "optimized" version of this class by uncommenting the 
 * serialVersionUID field declaration and recompiling.
 * 
 * @author (C) <a href="http://www.javaworld.com/columns/jw-qna-index.shtml">Vlad Roubtsov</a>, 2003
 */
public final class TestClass extends TestBaseClass
                             implements Serializable
{
    // public: ................................................................

    // fields and methods contributing to SUID:    

    public TestClass ()
    {
        m_int = 4;
        
        m_object1 = new TestBaseClass ();
        m_object2 = m_object1;
    
        m_objects = new Object [m_int];
        for (int i = 0; i < m_objects.length; ++ i)
            m_objects [i] = new TestBaseClass ();
    }
    
    public int getInt ()
    {
        return m_int;
    }
    
    public Object getObject1 ()
    {
        return m_object1;
    }
    
    public Object getObject2 ()
    {
        return m_object2;
    }
    
    public Object [] getObjects ()
    {
        return m_objects;
    }
    
        
    // uncomment this here and in TestBaseClass to re-run
    // SerialVersionUIDTest with the "optimization" enabled:
      
    //private static final long serialVersionUID = 1;

    private final int m_int;        
    private final Object m_object1, m_object2;
    private final Object [] m_objects;

} // end of class
// ----------------------------------------------------------------------------
